﻿@model BeerOverflow.Services.ModelsDTo.WebModels.BeerDetailsModel
<html lang="en">
<head>
    <title>Bootstrap 4 Blog Post Comments Section Design</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="~/css/reviewListing.css" />
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="comments">

                    <br>
                    @foreach (var review in Model.Reviews)
                    {

                        @if (!review.IsDeleted)
                        {
                            <div class="comment-box">
                                <span class="commenter-name">
                                    <a href="#">@review.User.UserName</a> <span class="comment-time"></span>
                                </span>
                                <p class="comment-txt more">@review.Text</p>
                                <div class="comment-meta">
                                    <form asp-controller="Review" asp-action="LikeReview" asp-route-id=@review.ReviewId asp-route-beerId=@Model.Id>
                                        <button class="comment-like"><i class="fa fa-thumbs-o-up" aria-hidden="true"></i>@review.PositiveVotes</button>
                                    </form>
                                    <form asp-controller="Review" asp-action="DislikeReview" asp-route-id=@review.ReviewId asp-route-beerId=@Model.Id>
                                        <button class="comment-dislike"><i class="fa fa-thumbs-o-down" aria-hidden="true"></i>@review.NegativeVotes</button>
                                    </form>
                                    @*<button class="comment-dislike">
                                        <i class="fa fa-thumbs-o-down" aria-hidden="true"></i> @review.NegativeVotes
                                    </button>*@
                                </div>
                                @if (!review.Flagged)
                                {

                                    <form asp-controller="Review" asp-action="FlagReview" asp-route-id=@review.ReviewId asp-route-beerId=@Model.Id>
                                        <button class="flag-button" aria-hidden="true">Report</button>
                                    </form>
                                }
                                else
                                {
                                    <p>This review has been reported.</p>
                                }
                            </div>
                        }

                    }
                    @if (User.Identity.IsAuthenticated)
                    {
                        <form asp-controller="Review" asp-action="PostReview" method="post" asp-route-beerId="@Model.Id">
                            <div class="comment-box add-comment">
                                <span class="commenter-name">
                                    <input type="text" placeholder="Add a public reiew" name="reviewText">
                                    <button type="submit" class="btn btn-default">POST</button>
                                </span>
                            </div>
                        </form>
                    }
                </div>
            </div>
        </div>
    </div>
</body>
</html>
<script>
    // Reply box popup JS
    $(document).ready(function () {
        $(".reply-popup").click(function () {
            $(".reply-box").toggle();
        });
    });
</script>
